'use client'

import styled, { createGlobalStyle } from "styled-components";

export const GlobalLayout = createGlobalStyle`
  * {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
  }

  html,
  body {
    height: 100vh;
    max-width: 100vw;
    overflow-x: hidden;
    color: ${({ theme }) => theme.text};
    background-color: ${({ theme }) => theme.background};
    
    transition: background 0.3s ease-in-out;
  }
  
  a {
    color: ${({ theme }) => theme.text};
  }

  @media (prefers-color-scheme: dark) {
    html {
      color-scheme: dark;
    }
  }
`;

export const MainBlock = styled.main`
  display: grid;
  height: 100vh;
  place-items: center;
  align-content: center;
`

export const Button = styled.button`
  border: none;
  outline: none;
  cursor: pointer;
  padding: ${({ theme }) => theme.space_px}px;
  color: ${({ theme }) => theme.background};
  background-color: ${({ theme }) => theme.text};
`;